### Function

# Ggit Diff blob_to_buffer

#### Declaration [src]

    void
    ggit_diff_blob_to_buffer (
      GgitBlob* old_blob,
      const gchar* old_as_path,
      const guint8* buffer,
      gssize buffer_len,
      const gchar* buffer_as_path,
      GgitDiffOptions* diff_options,
      GgitDiffFileCallback file_cb,
      GgitDiffBinaryCallback binary_cb,
      GgitDiffHunkCallback hunk_cb,
      GgitDiffLineCallback line_cb,
      gpointer user_data,
      GError** error
    )

#### Description [src]

Same as `ggit_diff_blobs()` but using a buffer.

#### Parameters

`old_blob`

  Type: `GgitBlob`

  A `GgitBlob` to diff from.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`old_as_path`

  Type: `const gchar*`

  Treat `old_blob` as if it had this filename, or `NULL`,.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`buffer`

  Type: An array of `guint8`

  A buffer to diff to.

  The argument can be `NULL`.
  The length of the array is specified in the `buffer_len` argument.
  The data is owned by the caller of the function.

`buffer_len`

  Type: `gssize`

  Length of `buffer`.

`buffer_as_path`

  Type: `const gchar*`

  Treat `buffer` as if it had this filename, or `NULL`,.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`diff_options`

  Type: `GgitDiffOptions`

  A `GgitDiffOptions`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`file_cb`

  Type: `GgitDiffFileCallback`

  a `GgitDiffFileCallback`.

`binary_cb`

  Type: `GgitDiffBinaryCallback`

  a `GgitDiffBinaryCallback`.

`hunk_cb`

  Type: `GgitDiffHunkCallback`

  a `GgitDiffHunkCallback`.

`line_cb`

  Type: `GgitDiffLineCallback`

  a `GgitDiffLineCallback`.

`user_data`

  Type: `gpointer`

  Callback user data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.